Instalar VMWARE Workstation en Debian Lenny

VmWorkstation, es una opción mas para emular diferentes sistemas operativos en nuestro linux. Aqui, las instrucciones para instalarlo.
La version que utilizaremos sera Vmware-Workstation-6.5.0-118166

Lo primero que tenemos que hacer, es descargar el vmware desde la pagina principal:
VMWARET

Tendremos que registrarnos para que se nos permita hacer la descarga. Este es el archivo que yo descargue:

Vmware-Workstation-6.5.0-118166.i386.bundle

Y sobre este archivo vamos a trabajar. Una vez finalizada la descarga, procederemos instalar los paquetes necesarios. Abrimos una terminal, nos logueamos y :

# apt-get install g++-4.1 gcc-4.1 make

# apt-get install linux-headers-$(uname -r)

Permitimos la ejecución del programa:

# chmod 744 Vmware-Workstation-6.5.0-118166.i386.bundle

Cambiamos las variables. Para la instalación vmware pide que trabajemos con gcc-4.1, por lo que nos aseguraremos de usar esa versión. Como nota importante, debemos tener presente que debemos realizar la ejecución del archivo en la misma consola donde se realiza este comando.

# export CC=gcc-4.1

Una vez finalizados estos pasos, ahora ejecutamos:

# ./Vmware-Workstation-6.5.0-118166.i386.bundle

Tendremos algo como esto y lo demas sera pan comido..

vmware-workstation-installer


Anuncios

13 comentarios en “Instalar VMWARE Workstation en Debian Lenny

  1. amigos en each no tube ningun problema ..pero en lenny todo sale bien pero al momento de habrir el vmware me sale una ventana que dice :
    Before you can run vmware workstation , several modules must be compiled and loaded into the running kernell.
    Gnu c compiler (gcc) version 4,1,3 was not found. If you installed it in a non-default path you can specify the path below. Otherwise refer to your distributions documentation for installation instructors and click Refresh to search again in default locations y no se que hacer…. agradeceria sus sugerencias
    GRACIAS

  2. no estoy seguro pero prueba esto:

    apt-get install gcc kernel-devel-`uname -r`
    sudo vmware

  3. El problema que tuve con el gcc, es que tenia una verción mas reciente de la que pide el instalador. Lo que tuve qe hacer, es eliminar la verción reciente y cargar la que pedia el vmware y con eso solucione ese problema. Perdon por tardarme en contestar pero ando viajando mucho y estoy acomodando mis horarios.

  4. Ahora se me ocurre que tal vez la vercion que estas utilizando del VMWARE no es compatible con el kernel.. por favor, checalo, posiblemente ese sea el error.

  5. Hola, soy un inutil, pongo los comando en la terminal, pero como si nada
    [root@localhost alejandro]# su apt-get install g++-4.1 gcc-4.1 make
    su: el usuario apt-get no existe
    Ahora me dice esto…
    saludos

  6. mi querido alejandro, tu problema es que escribes: su apt-get. intenta escribiendo nada mas “apt-get install + los comandos”.. un saludote y animo que asi fuimos todos alguna vez…

  7. Hola! con paciencia todo se conseigue, o casi =) .Lo tengo instalado pero como a otros, me sale eso de Before you can run vmware workstation , several modules must be compiled and loaded into the running kernel.Y me da la opcion de install, pero nada ocurre…sigo buscando 🙂

  8. un a pregunta estoy tratando de instalar el Worstation 7.0 o mas bien quiero instalarlo… pero al terminar la descarga del achivo me dice que no se puede abrir y ni idea que hace el archivo.. si lo elimina o que porque lo busco.. y nada.. estoy descargando el 6.5.4 pero quisiera probar el 7.0 alguien sabe porque me dice que no se puede abrir el archivo?

  9. ok, instalare la vercion 7. veo que aun tienen dudas.. 🙂 esten pendientes…

    Parkito..

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s